## edu.msu.cme.rdp.classifier.comparison
Class SeqInfo

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.SeqInfo

    public class SeqInfo

extends java.lang.Object

Nested Class Summary
`(package private) class` `SeqInfo.ScoreIterator` An Iterator of scores of assignments sequence

Field Summary
`private Score` `firstScore`
`private java.lang.String` `name`
`private boolean` `reverse`
`private java.lang.String` `title`

Constructor Summary
`SeqInfo(java.lang.String n, java.lang.String t)` Creates a new instance of SeqInfo

Method Summary
`(package private) void` `addScore(Score s)`
`(package private) Score` `getFirstScore()`
`java.lang.String` `getName()`
`java.util.Iterator` `getScoreList()`
`java.lang.String` `getTitle()`
`boolean` `isReverse()`
`(package private) void` `setReverse(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

### title

    private java.lang.String title

### firstScore

    private Score firstScore

### reverse

    private boolean reverse

Constructor Detail

### SeqInfo

    public SeqInfo(java.lang.String n,
                   java.lang.String t)

  Creates a new instance of SeqInfo

Method Detail

### getName

    public java.lang.String getName()

### getTitle

    public java.lang.String getTitle()

### isReverse

    public boolean isReverse()

### setReverse

    void setReverse(boolean b)

### getFirstScore

    Score getFirstScore()

### addScore

    void addScore(Score s)

### getScoreList

    public java.util.Iterator getScoreList()